summaryrefslogtreecommitdiff
path: root/debian/changelog
blob: 6e9ad046a60ae2bcec86b911404b4523ad8dd314 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
dh-elpa (1.4) UNRELEASED; urgency=medium

  * Add note to dh_elpa_test manpage about disabling its override of
    dh_auto_test.
  * Update Emacs dependency and build-dependency:
    Previously: emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~)
    Now:        emacs25-nox | emacs25 | emacs24-nox | emacs24
    - emacsXY-lucid has "Provides: emacsXY".
    - Update for emacs25, but retain emacs24 for the sake of backports.
    - Retain emacs24-nox for the sake of the backports buildds.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 24 Nov 2016 19:26:49 -0700

dh-elpa (1.3) unstable; urgency=medium

  * Fix version comparison in elpa.pm.
    Quote "0.90" so that the trailing 0 is not lost.
  * Override debian-watch-file-in-native-package.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 06 Sep 2016 20:38:10 -0700

dh-elpa (1.2) unstable; urgency=medium

  * Add generated files to debian/clean:
    - dh_elpa
    - dh_elpa.1
    - dh_elpa_test.1
  * Add missing dependency on debhelper.
  * Declare source format 3.0 (native).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Aug 2016 07:12:14 -0700

dh-elpa (1.1) unstable; urgency=medium

  * Attempt to sanitise versions from DEB_* env vars so that Emacs accepts
    them as ELPA package version strings.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 12 Aug 2016 19:51:04 -0700

dh-elpa (1.0) unstable; urgency=medium

  [ Sean Whitton ]
  * dh_elpa_test should now be configured by the config file debian/elpa-test.
    - New dependency on libconfig-tiny-perl.
  * The old DH_ELPA_TEST_* configuration env vars are deprecated.
  * Backport prep
    - Add check for dh-make-perl version before invoking dh_elpa_test
    - New dependency for this check: libdpkg-perl
  * Globs in ert_exclude/DH_ELPA_TEST_ERT_EXCLUDE will now be matched against
    the full paths to files (relative to the root of the source package).
    Previously, only the basename was matched, so it was not possible to
    use a glob like "broken-tests/*.el".
    - New dependency on libtext-glob-perl.
  * Add --autopkgtest switch to dh_elpa_test for autodep8.
  * Add example usage of ert_exclude to dh_elpa_test(1).

  [ David Bremner ]
  * depend on libdebian-source-perl in preference to dh-make-perl, if the
    former is available.

  [ RĂ©mi Vanicat & Sean Whitton ]
  * use DEB_UPSTREAM_VERSION or DEB_VERSION_UPSTREAM as elpa version if
    there is no version line in the main "*.el" file  (Closes: #829200)
  * add HINTS section to dh_elpa(1) documenting this

 -- David Bremner <bremner@debian.org>  Thu, 04 Aug 2016 13:44:50 +0900

dh-elpa (0.0.21) unstable; urgency=medium

  * Actually exclude .pc/ and debian/ directories from ERT tests.
  * Fix Vcs-Git: URI.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 May 2016 15:33:34 -0700

dh-elpa (0.0.20) unstable; urgency=medium

  [ David Bremner ]
  * Tighten versioned dependency on debhelper, needed for
    get_source_date_epoch

  [ Sean Whitton ]
  * Add yasnippet to list of packages maintained outside of the elpa-*
    binary package namespace.
  * Add dh_elpa_test helper and add to elpa.pm sequencer script, plus
    documentation, new dependencies and installation code.
    dh_elpa can now automatically detect and run Buttercup and ERT test
    suites.
  * Use https for Vcs-* control file fields.
  * Add myself as an uploader.
  * Run wrap-and-sort -abst to deal with lengthening dependencies list.
  * Bump standards version to 3.9.8; no changes required.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 01 May 2016 13:19:11 -0700

dh-elpa (0.0.19) unstable; urgency=medium

  [ Sean Whitton ]
  * Fix generation of *-pkg.el file to not include dependencies on dash-el
    or s-el, which are currently maintained outside of the elpa-*
    namespace in Debian.

 -- David Bremner <bremner@debian.org>  Sun, 21 Feb 2016 09:17:51 -0400

dh-elpa (0.0.18) unstable; urgency=low

  * Document "--with elpa"
  * Add --fix-autoload-date option (on by default) to take autoload dates
    from changelog (Closes: #799168).
  * Add ${elpa:Depends} substvar. Thanks to Sean Whitton for the implementation.

 -- David Bremner <bremner@debian.org>  Sun, 03 Jan 2016 19:26:12 -0400

dh-elpa (0.0.17) unstable; urgency=medium

  * Document substvars
  * Add "--with elpa" sequencer option

 -- David Bremner <bremner@debian.org>  Sun, 29 Nov 2015 08:28:26 -0400

dh-elpa (0.0.16) unstable; urgency=medium

  * Bug fix: "Add Built-Using substvars entry", thanks to Hilko Bengen
    (Closes: #803350).
  * Add depends on ${perl:Depends}

 -- David Bremner <bremner@debian.org>  Wed, 28 Oct 2015 22:43:59 -0300

dh-elpa (0.0.15) unstable; urgency=medium

  * Also ignore emacs20
  * Avoid error from find in remove script (Closes: #802963).

 -- David Bremner <bremner@debian.org>  Sun, 25 Oct 2015 14:31:04 -0300

dh-elpa (0.0.14) unstable; urgency=medium

  * Also ignore emacs21 and emacs22 in emacsen-common helper scripts

 -- David Bremner <bremner@debian.org>  Thu, 22 Oct 2015 23:05:11 -0300

dh-elpa (0.0.13) unstable; urgency=medium

  * remove /usr/share/${FLAVOUR}/site-lisp/elpa on last package removal.

 -- David Bremner <bremner@debian.org>  Tue, 06 Oct 2015 21:21:39 -0300

dh-elpa (0.0.12) unstable; urgency=medium

  * Replace use of private function `autoscript_sed' from Dh_Lib

 -- David Bremner <bremner@debian.org>  Fri, 25 Sep 2015 08:19:59 -0300

dh-elpa (0.0.11) unstable; urgency=medium

  * Fix elpa version in generated maintainer scripts (Closes: #799032)
    (again).

 -- David Bremner <bremner@debian.org>  Tue, 22 Sep 2015 09:14:25 -0300

dh-elpa (0.0.10) unstable; urgency=medium

  * Take elpa version from lisp source (Closes: #799032).
    Thanks to Thomas Koch for the report.

 -- David Bremner <bremner@debian.org>  Sat, 19 Sep 2015 10:49:28 -0300

dh-elpa (0.0.9) unstable; urgency=medium

  * Bug fix: "dh-elpa should provide substvar for depends field", thanks
    to Thomas Koch (Closes: #799208). Currently we add only an unversioned
    depends on emacsen-common.
  * Bug fix: "an elpa package cannot require a non elpa debian package",
    thanks to Remi Vanicat (Closes: #798576). As Remi suggests, use -q
    instead of -Q to byte-compile files.

 -- David Bremner <bremner@debian.org>  Thu, 17 Sep 2015 07:45:15 -0300

dh-elpa (0.0.8) unstable; urgency=medium

  * Skip binary packages with no files in their package.elpa file and or
    on the command line.
    
 -- David Bremner <bremner@debian.org>  Sat, 12 Sep 2015 20:54:05 -0300

dh-elpa (0.0.7) unstable; urgency=medium

  * On package uninstall remove the non-emacs-lisp symlinks as well
  * Add Vcs-{Git,Browser} headers

 -- David Bremner <bremner@debian.org>  Tue, 08 Sep 2015 13:54:34 -0300

dh-elpa (0.0.6) unstable; urgency=medium

  * Bug fix: "maintainer address bounces", thanks to Ansgar Burchardt
    (Closes: #797940).

 -- David Bremner <bremner@debian.org>  Thu, 03 Sep 2015 18:35:06 -0300

dh-elpa (0.0.5) unstable; urgency=medium

  * Use debian/.debhelper/elpa for temp files. This allows easier
    debugging.
  * Add a check for ${elpa_name}-pkg.el in multi-file packages
  * Link all top level files/directories into flavour directory, not
    just *.el

 -- David Bremner <bremner@debian.org>  Tue, 01 Sep 2015 19:09:51 -0300

dh-elpa (0.0.4) unstable; urgency=medium

  * Fix postinst bug: s/mkdir/mkdir -p/

 -- David Bremner <bremner@debian.org>  Thu, 20 Aug 2015 11:24:54 +0200

dh-elpa (0.0.3) unstable; urgency=medium

  * Switch to team maintenance
  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Thu, 20 Aug 2015 09:47:48 +0200

dh-elpa (0.0.2) experimental; urgency=medium

  * Clean up temporary directory
  * By default install emacsen-common helper scripts to do byte
    compilation and removal. It's the responsibility of packages
    build-depending on dh-elpa to depend on emacsen-common unless they use
    the no-byte-compile flag.

 -- David Bremner <bremner@debian.org>  Fri, 17 Jul 2015 19:03:42 +0200

dh-elpa (0.0.1) experimental; urgency=medium

  * Initial upload, early adopters only.

 -- David Bremner <bremner@debian.org>  Sat, 11 Jul 2015 15:24:57 +0200